Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml	(revision 4153)
+++ branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/iodef.xml	(revision 4186)
@@ -21,5 +21,5 @@
     -->
     
-    <file_definition type="multiple_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="1d" min_digits="4">
+    <file_definition type="one_file" name="@expname@_@freq@_@startdate@_@enddate@" sync_freq="1d" min_digits="4">
     
       <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
@@ -30,22 +30,29 @@
      
       <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."> <!-- 1d files -->
-	<file id="1d_grid_T" name="auto" description="ocean T grid variables" >
-	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
-	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
-	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+
+
+	<file id="file1" name_suffix="_grid_T" description="ocean T grid variables" >
+	  <field field_ref="sst"          name="sosstsst"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sss"          name="sosaline"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="sossheig"      long_name="sea_surface_height_above_geoid"                />
+	  <field field_ref="empmr"        name="wfo"      long_name="water_flux_into_sea_water"                     />
+	  <field field_ref="qsr"          name="rsntds"   long_name="surface_net_downward_shortwave_flux"           />
+	  <field field_ref="qt"           name="tohfls"   long_name="surface_net_downward_total_heat_flux"          />
+	  <field field_ref="mldr10_1"     />
 	</file>
 
-	<file id="1d_grid_U" name="auto" description="ocean U grid variables" >
-	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	<file id="file2" name_suffix="_grid_U" description="ocean U grid variables" >
+	  <field field_ref="suoce"        name="suoce"     long_name="sea_surface_x_velocity"    />
 	</file>
 	
-	<file id="1d_grid_V" name="auto" description="ocean V grid variables" >
-	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	<file id="file3" name_suffix="_grid_V" description="ocean V grid variables" >
+	  <field field_ref="svoce"        name="svoce"     long_name="sea_surface_y_velocity"    />
 	</file>
+
       </file_group>
       <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
-      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->
 
-	<file id="5d_grid_T" name="auto" description="ocean T grid variables" >
+	<file id="file4" name_suffix="_grid_T" description="ocean T grid variables" >
 	  <field field_ref="sst"          name="sosstsst"      long_name="sea_surface_temperature"                       />
 	  <field field_ref="sst2"         name="tossq"    long_name="square_of_sea_surface_temperature"             />
@@ -61,15 +68,15 @@
 	</file>
 	
-	<file id="5d_grid_U" name="auto" description="ocean U grid variables" >
+	<file id="file5" name_suffix="_grid_U" description="ocean U grid variables" >
 	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
 	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
 	</file>
 	
-	<file id="5d_grid_V" name="auto" description="ocean V grid variables" >
+	<file id="file6" name_suffix="_grid_V" description="ocean V grid variables" >
 	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
 	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
 	</file>
 	
-	<file id="5d_icemod" name="auto" description="ice variables" >
+	<file id="file7" name_suffix="_icemod" description="ice variables" >
 	  <field field_ref="ice_pres"                     />
 	  <field field_ref="snowthic_cea" name="snd"     long_name="surface_snow_thickness"   />
@@ -86,5 +93,5 @@
 	  <field field_ref="snowpre"      />
 	</file>
-	
+   
       </file_group>
 
Index: branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/opa
===================================================================
--- branches/2013/dev_LOCEAN_2013/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/opa	(revision 4153)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link /Users/clelod/Documents/WORK/CF/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_SAS_LIM/BLD/bin/nemo.exe