Index: /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90
===================================================================
--- /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4205)
+++ /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/IOM/restart.F90	(revision 4206)
@@ -25,4 +25,5 @@
    USE domvvl          ! variable volume
    USE divcur          ! hor. divergence and curl      (div & cur routines)
+   USE sbc_ice, ONLY : lk_lim3
 
    IMPLICIT NONE
@@ -132,6 +133,8 @@
                      CALL iom_rstput( kt, nitrst, numrow, 'rhd'    , rhd       )
 #endif
+                  IF( lk_lim3 ) THEN
                      CALL iom_rstput( kt, nitrst, numrow, 'iatte'  , iatte     ) !clem modif
                      CALL iom_rstput( kt, nitrst, numrow, 'oatte'  , oatte     ) !clem modif
+                  ENDIF
       IF( kt == nitrst ) THEN
          CALL iom_close( numrow )     ! close the restart file (only at last time step)
@@ -234,6 +237,8 @@
       ENDIF
       !
-      CALL iom_get( numror, jpdom_autoglo, 'iatte' , iatte ) ! clem modif
-      CALL iom_get( numror, jpdom_autoglo, 'oatte' , oatte ) ! clem modif
+      IF( lk_lim3 ) THEN 
+         CALL iom_get( numror, jpdom_autoglo, 'iatte' , iatte ) ! clem modif
+         CALL iom_get( numror, jpdom_autoglo, 'oatte' , oatte ) ! clem modif
+      ENDIF
       !
    END SUBROUTINE rst_read
Index: /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4205)
+++ /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 4206)
@@ -364,4 +364,5 @@
                           CALL lim_update2                 ! Global variables update
 #if defined key_bdy
+                          CALL lim_var_glo2eqv            !
                           CALL bdy_ice_lim( kt )          ! clem modif: bdy ice
 #endif
Index: /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 4205)
+++ /branches/2013/dev_LOCEAN_2013/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 4206)
@@ -163,5 +163,5 @@
          CALL iom_put( 'qsr3d', etot3 )   ! Shortwave Radiation 3D distribution
          ! clem: store attenuation coefficient of the first ocean level
-         IF ( ln_qsr_ice ) THEN
+         IF ( lk_lim3 .AND. ln_qsr_ice ) THEN
             DO jj = 1, jpj
                DO ji = 1, jpi
@@ -232,5 +232,5 @@
                END DO
                ! clem: store attenuation coefficient of the first ocean level
-               IF ( ln_qsr_ice ) THEN
+               IF ( lk_lim3 .AND. ln_qsr_ice ) THEN
                   DO jj = 1, jpj
                      DO ji = 1, jpi
@@ -256,5 +256,5 @@
                END DO
                ! clem: store attenuation coefficient of the first ocean level
-               IF ( ln_qsr_ice ) THEN
+               IF ( lk_lim3 .AND. ln_qsr_ice ) THEN
                   oatte(:,:) = etot3(:,:,1) / r1_rau0_rcp
                   iatte(:,:) = oatte(:,:)
@@ -280,5 +280,5 @@
                END DO
                ! clem: store attenuation coefficient of the first ocean level
-               IF ( ln_qsr_ice ) THEN
+               IF ( lk_lim3 .AND. ln_qsr_ice ) THEN
                   DO jj = 1, jpj
                      DO ji = 1, jpi
@@ -299,5 +299,5 @@
                END DO
                ! clem: store attenuation coefficient of the first ocean level
-               IF ( ln_qsr_ice ) THEN
+               IF ( lk_lim3 .AND. ln_qsr_ice ) THEN
                   oatte(:,:) = etot3(:,:,1) / r1_rau0_rcp
                   iatte(:,:) = oatte(:,:)
@@ -319,15 +319,4 @@
          !
       ENDIF
-      ! clem: store attenuation coefficient of the first ocean level
-      !IF (ln_traqsr) THEN
-      !   DO jj = 1, jpj
-      !      DO ji = 1, jpi
-      !         IF ( qsr(ji,jj) /= 0._wp ) THEN
-      !            oatte(ji,jj) = qsr_hc(ji,jj,1) / ( r1_rau0_rcp * qsr(ji,jj) )
-      !            iatte(ji,jj) = qsr_hc(ji,jj,1) / ( r1_rau0_rcp * qsr(ji,jj) )
-      !         ENDIF
-      !      END DO
-      !   END DO
-      !END IF
       !
       IF( lrst_oce ) THEN   !                  Write in the ocean restart file