Index: branches/2013/dev_CMCC_INGV_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2013/dev_CMCC_INGV_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 4201)
+++ branches/2013/dev_CMCC_INGV_2013/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 4217)
@@ -450,16 +450,26 @@
             !                    !  file       ! frequency !  variable   ! time intep !  clim   ! 'yearly' or ! weights  ! rotation  ! land/sea mask ! 
             !                    !  name       ! hours     !   name      !  (T/F)     !  (T/F)  !  'monthly'  ! filename ! pairs     ! filename      !
-            bn_ssh     = FLD_N(  'bdy_ssh'     ,  24       , 'sossheig'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_u2d     = FLD_N(  'bdy_vel2d_u' ,  24       , 'vobtcrtx'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_v2d     = FLD_N(  'bdy_vel2d_v' ,  24       , 'vobtcrty'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_u3d     = FLD_N(  'bdy_vel3d_u' ,  24       , 'vozocrtx'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_v3d     = FLD_N(  'bdy_vel3d_v' ,  24       , 'vomecrty'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_tem     = FLD_N(  'bdy_tem'     ,  24       , 'votemper'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_sal     = FLD_N(  'bdy_sal'     ,  24       , 'vosaline'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-#if defined key_lim2
-            bn_frld    = FLD_N(  'bdy_frld'    ,  24       , 'ildsconc'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_hicif   = FLD_N(  'bdy_hicif'   ,  24       , 'iicethic'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-            bn_hsnif   = FLD_N(  'bdy_hsnif'   ,  24       , 'isnothic'  , .false.    , .false. ,   'yearly'  , ''       , ''        , ''            )
-#endif
+            bn_ssh     = FLD_N(  'bdy_ssh'     ,  24       , 'sossheig'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_u2d     = FLD_N(  'bdy_vel2d_u' ,  24       , 'vobtcrtx'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_v2d     = FLD_N(  'bdy_vel2d_v' ,  24       , 'vobtcrty'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_u3d     = FLD_N(  'bdy_vel3d_u' ,  24       , 'vozocrtx'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_v3d     = FLD_N(  'bdy_vel3d_v' ,  24       , 'vomecrty'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_tem     = FLD_N(  'bdy_tem'     ,  24       , 'votemper'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_sal     = FLD_N(  'bdy_sal'     ,  24       , 'vosaline'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+#if defined key_lim2                                                                                                        
+            bn_frld    = FLD_N(  'bdy_frld'    ,  24       , 'ildsconc'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_hicif   = FLD_N(  'bdy_hicif'   ,  24       , 'iicethic'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+            bn_hsnif   = FLD_N(  'bdy_hsnif'   ,  24       , 'isnothic'  , .false.    , .false. ,   'yearly'  , ''       , &
+                 & ''        , ''            )
+#endif                                                                                                                      
 
             ! Important NOT to rewind here.