Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/limthd_2.F90	(revision 4236)
@@ -288,5 +288,5 @@
          CALL tab_2d_1d_2( nbpb, qsr_ice_1d (1:nbpb)     , qsr_ice(:,:,1) , jpi, jpj, npb(1:nbpb) )
          IF( ltrcdm2dc_ice ) &
-           & CALL tab_2d_1d_2( nbpb, qsr_ice_mean_1d (1:nbpb)     , qsr_ice_mean(:,:,1) , jpi, jpj, npb(1:nbpb) 
+         & CALL tab_2d_1d_2( nbpb, qsr_ice_mean_1d (1:nbpb), qsr_ice_mean(:,:,1), jpi, jpj, npb(1:nbpb) )
          CALL tab_2d_1d_2( nbpb, fr1_i0_1d  (1:nbpb)     , fr1_i0         , jpi, jpj, npb(1:nbpb) )
          CALL tab_2d_1d_2( nbpb, fr2_i0_1d  (1:nbpb)     , fr2_i0         , jpi, jpj, npb(1:nbpb) )
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/LIM_SRC_2/thd_ice_2.F90	(revision 4236)
@@ -99,5 +99,5 @@
       !!----------------------------------------------------------------------
       USE lib_mpp        ! MPP library
-      INTEGER :: ierr(4)
+      INTEGER :: ierr(5)
       !!----------------------------------------------------------------------
       !
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 4236)
@@ -168,5 +168,5 @@
       !
       icb_alloc = 0
-      ALLOCATE( berg_grid                      ,                                               &
+      ALLOCATE( & !cbr berg_grid                      ,                                               &
          &      berg_grid%calving    (jpi,jpj) , berg_grid%calving_hflx (jpi,jpj)          ,   &
          &      berg_grid%stored_heat(jpi,jpj) , berg_grid%floating_melt(jpi,jpj)          ,   &
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_ice.F90	(revision 4236)
@@ -19,4 +19,5 @@
 # if defined key_lim2
    USE par_ice_2        ! LIM-2 parameters
+   USE ice_2
 # endif
 # if defined key_cice 
@@ -55,11 +56,12 @@
 
 #if defined key_lim3 || defined key_lim2 
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qns_ice   !: non solar heat flux over ice                  [W/m2]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qsr_ice   !: solar heat flux over ice                      [W/m2]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qla_ice   !: latent flux over ice                          [W/m2]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqla_ice  !: latent sensibility over ice                 [W/m2/K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqns_ice  !: non solar heat flux over ice (LW+SEN+LA)    [W/m2/K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tn_ice    !: ice surface temperature                          [K]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   alb_ice   !: albedo of ice
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qns_ice       !: non solar heat flux over ice                  [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qsr_ice       !: solar heat flux over ice                      [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qsr_ice_mean  !: dauly mean solar heat flux over ice       [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   qla_ice       !: latent flux over ice                          [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqla_ice      !: latent sensibility over ice                 [W/m2/K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   dqns_ice      !: non solar heat flux over ice (LW+SEN+LA)    [W/m2/K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   tn_ice        !: ice surface temperature                          [K]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:,:) ::   alb_ice       !: albedo of ice
 
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:)   ::   utau_ice  !: atmos-ice u-stress. VP: I-pt ; EVP: U,V-pts   [N/m2]
@@ -109,4 +111,8 @@
       !!                     ***  FUNCTION sbc_ice_alloc  ***
       !!----------------------------------------------------------------------
+      INTEGER :: ierr(2)
+      !!----------------------------------------------------------------------
+      ierr(:) = 0
+
 #if defined key_lim3 || defined key_lim2
       ALLOCATE( qns_ice (jpi,jpj,jpl) , qsr_ice (jpi,jpj,jpl) ,     &
@@ -117,7 +123,7 @@
          &      fr1_i0  (jpi,jpj)     , fr2_i0  (jpi,jpj)     ,     &
 #if defined key_lim3
-         &      emp_ice(jpi,jpj)      , tatm_ice(jpi,jpj)     , STAT= sbc_ice_alloc )
+         &      emp_ice(jpi,jpj)      , tatm_ice(jpi,jpj)     , STAT= ierr(1) )
 #else
-         &      emp_ice(jpi,jpj)                              , STAT= sbc_ice_alloc )
+         &      emp_ice(jpi,jpj)                              , STAT= ierr(1) )
 #endif
 #elif defined key_cice
@@ -126,7 +132,14 @@
                 wndj_ice(jpi,jpj)     , nfrzmlt(jpi,jpj)      , ss_iou(jpi,jpj)       , &
                 ss_iov(jpi,jpj)       , fr_iu(jpi,jpj)        , fr_iv(jpi,jpj)        , &
-                a_i(jpi,jpj,ncat)     , topmelt(jpi,jpj,ncat) , botmelt(jpi,jpj,ncat), STAT= sbc_ice_alloc )
+                a_i(jpi,jpj,ncat)     , topmelt(jpi,jpj,ncat) , botmelt(jpi,jpj,ncat), STAT= ierr(1) )
 #endif
          !
+#if defined key_lim2
+      IF( ltrcdm2dc_ice )THEN
+         ALLOCATE( qsr_ice_mean (jpi,jpj,jpl), STAT=ierr(2) )
+      ENDIF
+#endif
+         !
+      sbc_ice_alloc = MAXVAL( ierr )
       IF( lk_mpp            )   CALL mpp_sum ( sbc_ice_alloc )
       IF( sbc_ice_alloc > 0 )   CALL ctl_warn('sbc_ice_alloc: allocation of arrays failed')
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/OPA_SRC/SBC/sbc_oce.F90	(revision 4236)
@@ -64,6 +64,6 @@
    !! wndm is used onmpute surface gases exchanges in ice-free ocean or leads
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   wndm              !: wind speed module at T-point (=|U10m-Uoce|)  [m/s]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:),TARGET ::   qsr               !: sea heat flux:     solar                     [W/m2]
-   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:),TARGET ::   qsr_mean          !: daily mean sea heat flux: solar              [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qsr               !: sea heat flux:     solar                     [W/m2]
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qsr_mean          !: daily mean sea heat flux: solar              [W/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qns    , qns_b    !: sea heat flux: non solar                     [W/m2]
    REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qsr_tot           !: total     solar heat flux (over sea and ice) [W/m2]
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P2Z/p2zopt.F90	(revision 4236)
@@ -89,5 +89,5 @@
 
       !                                          ! surface irradiance
-      zpar0m (:,:)   = qsr_top(:,:) * 0.43        ! ------------------
+      zpar0m (:,:)   = qsr(:,:) * 0.43        ! ------------------
       zpar100(:,:)   = zpar0m(:,:) * 0.01
       zparr  (:,:,1) = zpar0m(:,:) * 0.5
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/PISCES/P4Z/p4zopt.F90	(revision 4236)
@@ -114,11 +114,11 @@
 
       IF( ln_varpar ) THEN
-         ze1(:,:,1) = par_varsw(:,:) * qsr_top(:,:) * EXP( -0.5 * zekb(:,:,1) )
-         ze2(:,:,1) = par_varsw(:,:) * qsr_top(:,:) * EXP( -0.5 * zekg(:,:,1) )
-         ze3(:,:,1) = par_varsw(:,:) * qsr_top(:,:) * EXP( -0.5 * zekr(:,:,1) )
+         ze1(:,:,1) = par_varsw(:,:) * qsr(:,:) * EXP( -0.5 * zekb(:,:,1) )
+         ze2(:,:,1) = par_varsw(:,:) * qsr(:,:) * EXP( -0.5 * zekg(:,:,1) )
+         ze3(:,:,1) = par_varsw(:,:) * qsr(:,:) * EXP( -0.5 * zekr(:,:,1) )
       ELSE
-         ze1(:,:,1) = xparsw         * qsr_top(:,:) * EXP( -0.5 * zekb(:,:,1) )
-         ze2(:,:,1) = xparsw         * qsr_top(:,:) * EXP( -0.5 * zekg(:,:,1) )
-         ze3(:,:,1) = xparsw         * qsr_top(:,:) * EXP( -0.5 * zekr(:,:,1) )
+         ze1(:,:,1) = xparsw         * qsr(:,:) * EXP( -0.5 * zekb(:,:,1) )
+         ze2(:,:,1) = xparsw         * qsr(:,:) * EXP( -0.5 * zekg(:,:,1) )
+         ze3(:,:,1) = xparsw         * qsr(:,:) * EXP( -0.5 * zekr(:,:,1) )
       ENDIF
 
@@ -159,18 +159,18 @@
          zxsi0r = 1.e0 / rn_si0
          !
-         ze0(:,:,1) = rn_abs * qsr_top(:,:)
+         ze0(:,:,1) = rn_abs * qsr(:,:)
          !                                                    ! surface value : separation in R-G-B + near surface
          IF( ln_varpar ) THEN
-            ze0(:,:,1) = ( 1. - 3. * par_varsw(:,:) ) * qsr_top(:,:)
-            ze1(:,:,1) = par_varsw(:,:)               * qsr_top(:,:)         
-            ze2(:,:,1) = par_varsw(:,:)               * qsr_top(:,:)
-            ze3(:,:,1) = par_varsw(:,:)               * qsr_top(:,:)
+            ze0(:,:,1) = ( 1. - 3. * par_varsw(:,:) ) * qsr(:,:)
+            ze1(:,:,1) = par_varsw(:,:)               * qsr(:,:)         
+            ze2(:,:,1) = par_varsw(:,:)               * qsr(:,:)
+            ze3(:,:,1) = par_varsw(:,:)               * qsr(:,:)
          ELSE
-            ze0(:,:,1) = ( 1. - 3. * xparsw )  * qsr_top(:,:)
-            ze1(:,:,1) = xparsw                * qsr_top(:,:)         
-            ze2(:,:,1) = xparsw                * qsr_top(:,:)
-            ze3(:,:,1) = xparsw                * qsr_top(:,:)
+            ze0(:,:,1) = ( 1. - 3. * xparsw )  * qsr(:,:)
+            ze1(:,:,1) = xparsw                * qsr(:,:)         
+            ze2(:,:,1) = xparsw                * qsr(:,:)
+            ze3(:,:,1) = xparsw                * qsr(:,:)
          ENDIF
-         etot3(:,:,1) =  qsr_top(:,:) * tmask(:,:,1)
+         etot3(:,:,1) =  qsr(:,:) * tmask(:,:,1)
          !
          !
@@ -204,5 +204,5 @@
          DO jj = 1, jpj
            DO ji = 1, jpi
-              IF( etot(ji,jj,jk) >= 0.0043 * qsr_top(ji,jj) )  THEN
+              IF( etot(ji,jj,jk) >= 0.0043 * qsr(ji,jj) )  THEN
                  neln(ji,jj) = jk+1                    ! Euphotic level : 1rst T-level strictly below Euphotic layer
                  !                                     ! nb: ensure the compatibility with nmld_trc definition in trd_mld_trc_zint
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4236)
@@ -96,4 +96,5 @@
    USE sbc_oce , ONLY :   vtau       =>    vtau       !: j-surface stress component
    USE sbc_oce , ONLY :   wndm       =>    wndm       !: 10m wind speed 
+   USE sbc_oce , ONLY :   qsr        =>    qsr        !: penetrative solar radiation (w m-2)
    USE sbc_oce , ONLY :   emp        =>    emp        !: freshwater budget: volume flux               [Kg/m2/s]
    USE sbc_oce , ONLY :   emp_b      =>    emp_b      !: freshwater budget: volume flux               [Kg/m2/s]
@@ -148,22 +149,6 @@
 # endif
 
-   REAL(wp),DIMENSION(:,:),POINTER :: qsr_top
-
-CONTAINS
-
-   INTEGER FUNCTION oce_trc_alloc()
-      !!----------------------------------------------------------------------
-      !!                  ***  trc_oce_alloc  ***
-      !!----------------------------------------------------------------------
-      !!----------------------------------------------------------------------
-      INTEGER ::   ierr(1)        ! Local variables
-      !!----------------------------------------------------------------------
-      ierr(:) = 0
-      ALLOCATE( qsr_top(jpi,jpj), STAT=ierr(1) )
-      oce_trc_alloc  = MAXVAL( ierr )
-      !
-      IF( oce_trc_alloc /= 0 )   CALL ctl_warn('oce_trc_alloc: failed to allocate qsr_top array')
-
-   END FUNCTION oce_trc_alloc
+   REAL(wp), PUBLIC, ALLOCATABLE, SAVE, DIMENSION(:,:) ::   qsr_tmp  !: save qsr with diurnal cycle during TOP/PISCES 
+                                                                     !: timestep                [W/m2]
 
 #else
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcini.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcini.F90	(revision 4236)
@@ -31,6 +31,5 @@
    USE trcsub          ! variables to substep passive tracers
    USE lib_mpp         ! distribued memory computing library
-   USE sbc_oce, ONLY : qsr_mean
-   USE sbc_oce, ONLY : qsr
+   USE sbc_oce
  
    IMPLICIT NONE
@@ -78,14 +77,8 @@
          ltrcdm2dc     = .TRUE.
          ltrcdm2dc_ice = .TRUE.
-         ALLOCATE( qsr_mean(jpi,jpj) , STAT = ierr )
+         ALLOCATE( qsr_mean(jpi,jpj) , qsr_tmp(jpi,jpj) , STAT = ierr )
 
          IF( lk_mpp    )   CALL mpp_sum ( ierr )
          IF( ierr  > 0 )   CALL ctl_warn('trc_ini: allocation of arrays qsr_mean failed')
-
-         qsr_top => qsr_mean
-
-      ELSE
-
-         qsr_top => qsr
 
       ENDIF
@@ -218,5 +211,4 @@
       ierr =        trc_adv_alloc()          ! Start of TOP-related alloc routines...
       ierr = ierr + trc_alloc    ()
-      ierr = ierr + oce_trc_alloc()
       ierr = ierr + trc_nxt_alloc()
       ierr = ierr + trc_zdf_alloc()
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcstp.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcstp.F90	(revision 4236)
@@ -11,4 +11,5 @@
    !!----------------------------------------------------------------------
    USE oce_trc          ! ocean dynamics and active tracers variables
+   USE sbc_oce
    USE trc
    USE trctrp           ! passive tracers transport
@@ -66,4 +67,10 @@
       ENDIF
       !    
+      !cbr
+      IF( ln_dm2dc .AND. lk_pisces )THEN
+         qsr_tmp = qsr
+         qsr     = qsr_mean    
+      ENDIF
+      !    
       IF( nn_dttrc /= 1 )   CALL trc_sub_stp( kt )  ! averaging physical variables for sub-stepping
       !    
@@ -92,4 +99,9 @@
       ENDIF
       !
+      !cbr
+      IF( ln_dm2dc .AND. lk_pisces )THEN
+         qsr = qsr_tmp
+      ENDIF
+      !
       ztrai = 0._wp                                                   !  content of all tracers
       DO jn = 1, jptra
Index: branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4160)
+++ branches/2013/dev_r3856_MERCATOR3_QSRMEAN24H/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4236)
@@ -124,5 +124,5 @@
           emp_tm   (:,:)         = emp_tm   (:,:)         + emp   (:,:) 
           sfx_tm   (:,:)         = sfx_tm   (:,:)         + sfx   (:,:)
-          qsr_tm   (:,:)         = qsr_tm   (:,:)         + qsr_top(:,:)
+          qsr_tm   (:,:)         = qsr_tm   (:,:)         + qsr   (:,:)
           wndm_tm  (:,:)         = wndm_tm  (:,:)         + wndm  (:,:)
           !
@@ -212,5 +212,5 @@
          emp_b_temp (:,:)        = emp_b (:,:)
          sfx_temp   (:,:)        = sfx   (:,:)
-         qsr_temp   (:,:)        = qsr_top   (:,:)
+         qsr_temp   (:,:)        = qsr   (:,:)
          wndm_temp  (:,:)        = wndm  (:,:)
 #if defined key_traldf_c3d
@@ -316,5 +316,5 @@
          emp_tm   (:,:)          = emp_tm     (:,:)       + emp   (:,:) 
          sfx_tm   (:,:)          = sfx_tm     (:,:)       + sfx   (:,:)
-         qsr_tm   (:,:)          = qsr_tm     (:,:)       + qsr_top (:,:)
+         qsr_tm   (:,:)          = qsr_tm     (:,:)       + qsr   (:,:)
          wndm_tm  (:,:)          = wndm_tm    (:,:)       + wndm  (:,:)
          !
@@ -332,5 +332,5 @@
          IF( kt == nittrc000 ) THEN
             wndm  (:,:)          = wndm_tm    (:,:) * r1_ndttrc 
-            qsr_top   (:,:)          = qsr_tm     (:,:) * r1_ndttrc 
+            qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrc 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrc 
             sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrc 
@@ -348,5 +348,5 @@
          ELSE
             wndm  (:,:)          = wndm_tm    (:,:) * r1_ndttrcp1 
-            qsr_top   (:,:)          = qsr_tm     (:,:) * r1_ndttrcp1 
+            qsr   (:,:)          = qsr_tm     (:,:) * r1_ndttrcp1 
             emp   (:,:)          = emp_tm     (:,:) * r1_ndttrcp1 
             sfx   (:,:)          = sfx_tm     (:,:) * r1_ndttrcp1 
@@ -501,5 +501,5 @@
          CALL lbc_lnk( emp_b (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( sfx   (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( qsr_top   (:,:)         , 'T', 1. ) 
+         CALL lbc_lnk( qsr   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( wndm  (:,:)         , 'T', 1. ) 
 # if defined key_trabbl
@@ -709,5 +709,5 @@
       sfx   (:,:)     =  sfx_temp   (:,:)
       emp_b (:,:)     =  emp_b_temp (:,:)
-      qsr_top   (:,:)     =  qsr_temp   (:,:)
+      qsr   (:,:)     =  qsr_temp   (:,:)
       wndm  (:,:)     =  wndm_temp  (:,:)
 # if defined key_trabbl
@@ -827,5 +827,5 @@
       emp_tm     (:,:) = emp   (:,:)
       sfx_tm     (:,:) = sfx   (:,:)
-      qsr_tm     (:,:) = qsr_top   (:,:)
+      qsr_tm     (:,:) = qsr   (:,:)
       wndm_tm    (:,:) = wndm  (:,:)
 # if defined key_trabbl